%define srcname nmstate
%define libname libnmstate

Name:           nmstate
Version:        0.0.6
Release:        1%{?dist}
Summary:        Declarative network manager API
License:        GPLv2+
URL:            https://github.com/%{srcname}/%{srcname}
Source0:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz
Source1:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz.asc
Source2:        gpgkey-F7910D93CA83D77348595C0E899014C0463C12BB.gpg
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
Requires:       python2-setuptools
BuildRequires:  gnupg2
Requires:       python2-%{libname} = %{?epoch:%{epoch}:}%{version}-%{release}

%description
NMState is a library with an accompanying command line tool that manages host
networking settings in a declarative manner and aimed to satisfy enterprise
needs to manage host networking through a northbound declarative API and multi
provider support on the southbound.


%package -n python2-%{libname}
Summary:        nmstate Python 2 API library
Requires:       NetworkManager-libnm
Requires:       python-gobject-base
Requires:       python2-six
Requires:       python-jsonschema
Requires:       python2-pyyaml
Requires:       dbus-python

%description -n python2-%{libname}
This package contains the Python 2 library for nmstate.

%prep
gpgv2 --keyring %{SOURCE2} %{SOURCE1} %{SOURCE0}
%setup -q

%build
%py2_build

%install
%py2_install

%files
%doc README.md
%doc examples/
%{python2_sitelib}/nmstatectl
%{_bindir}/nmstatectl

%files -n python2-%{libname}
%license LICENSE
%{python2_sitelib}/%{libname}
%{python2_sitelib}/%{srcname}-*.egg-info/

%changelog
* Sun May 05 2019 Gris Ge <fge@redhat.com> - 0.0.6-1
- Upgrade to 0.0.6

* Fri Apr 12 2019 Gris Ge <fge@redhat.com> - 0.0.5-2
- Add missing runtime dependency -- dbus-python.

* Tue Mar 12 2019 Gris Ge <fge@redhat.com> - 0.0.5-1
- Upgrade to 0.0.5.

* Tue Jan 29 2019 Till Maas <opensource@till.name> - 0.0.4-2
- Sync with upstream spec
- Package examples

* Thu Jan 24 2019 Gris Ge <fge@redhat.com> - 0.0.4-1
- Upgrade to 0.0.4.

* Mon Jan 21 2019 Gris Ge <fge@redhat.com> - 0.0.3-2
- Add missing runtime dependency for nmstatectl.

* Thu Jan 03 2019 Gris Ge <fge@redhat.com> - 0.0.3-1
- Initial release.

